Skip to main content

## AliasConstKind

# Type Alias AliasConstKind

Source

    pub type AliasConstKind<'tcx> = AliasConstKind<TyCtxt<'tcx>>;

## Aliased Type§

    pub enum AliasConstKind<'tcx> {
        Projection {
            def_id: DefId,
        },
        Inherent {
            def_id: DefId,
        },
        Free {
            def_id: DefId,
        },
        Anon {
            def_id: DefId,
        },
    }

## Variants§

§

### Projection

A projection `<Type as Trait>::AssocConst`

#### Fields

§`def_id: DefId`
§

### Inherent

An associated constant in an inherent `impl`

#### Fields

§`def_id: DefId`
§

### Free

A free constant, outside an impl block.

#### Fields

§`def_id: DefId`
§

### Anon

Anonymous constant, e.g. the `1 + 2` in `[u8; 1 + 2]`.

#### Fields

§`def_id: DefId`

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.